panic
Prev | Kernel utility functions | Next

## Name

panic — halt the system

## Synopsis

`NORET_TYPE void panic (` | const char * | fmt,
|  | ...`)`;

## Arguments

`fmt`

  The text string to print

`...`

  variable arguments

## Description

Display a message, then perform cleanups.

This function never returns.

Prev | Up | Next
printk_timed_ratelimit | Home | atomic_notifier_chain_register